Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development


Thank you for visiting the BlackBerry Support Community Forums.

BlackBerry will be closing the BlackBerry Support Community Forums Device Forums on April 1st (Developers, see below)

BlackBerry remains committed to providing excellent customer support to our customers. We are delighted to direct you to the CrackBerry Forums, a well-established and thorough support channel, for continued BlackBerry support. Please visit http://forums.crackberry.com or http://crackberry.com/ask. You can also continue to visit BlackBerry Support or the BlackBerry Knowledge Base for official support options available for your BlackBerry Smartphone.

"When we launched CrackBerry.com 10 years ago, we set out to make it a fun and useful destination where BlackBerry Smartphone owners could share their excitement and learn to unleash the full potential of their BlackBerry. A decade later, the CrackBerry community is as active and passionate as ever and I know our knowledgeable members and volunteers will be excited to welcome and assist more BlackBerry owners with their questions."

- Kevin Michaluk, Founder, CrackBerry.com

Developers, for more information about the BlackBerry Developer Community please review Join the Conversation on the BlackBerry Developer Community Forums found on Inside BlackBerry.


Reply
New Developer
Posts: 3
Registered: ‎02-04-2009
My Device: Not Specified

OS Version / Javascript Questions

Hello Everyone.  I've been searching for answers / documents to various questions.  Any help you can provide is greatly appreciated. 

1. What version of Javascript does the 8100 Simulator support?  Is it v1.5

2. AddEventListener does not appear to work:

document.getElementById("myInputButton").addEventListener("click", myInputButtonFunction, false);

 

3. To what version do developers typcially build to with regards to Blackberry mobile sites?  I'm under the impression that version 3.8 should be supported as it seems to date back to 2005.  However, are most users running newer versions?

 

Thank you in advance

jag

Guru I
Posts: 19,020
Registered: ‎07-29-2008
My Device: Passport, Playbook, 9320BES
My Carrier: Bouygues _ SFR

Re: OS Version / Javascript Questions

the device most sold in 2008 is the Curve.
==> OS is 4.2 / 4.3 / 4.5. Mainly 4.2.



The search box on top-right of this page is your true friend, and the public Knowledge Base too:
New Developer
Posts: 3
Registered: ‎02-04-2009
My Device: Not Specified

Re: OS Version / Javascript Questions

[ Edited ]

Thanks!

 

Are there Javascript and CSS guides that can be used for developing sites to meet the capabilities of 4.2?

 

 

Message Edited by jaglavek on 02-06-2009 01:32 PM
Guru I
Posts: 19,020
Registered: ‎07-29-2008
My Device: Passport, Playbook, 9320BES
My Carrier: Bouygues _ SFR

Re: OS Version / Javascript Questions

yes of course. It's somewhere on the blackberry.com website. Either in the developers section, of in the support section. I saw it, it's a huge PDF. HTML, CSS and Javascript are detailed (for example : no iframe supported).

but I don't remember where exactly.



The search box on top-right of this page is your true friend, and the public Knowledge Base too:
BlackBerry Development Advisor
Posts: 15,885
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: OS Version / Javascript Questions

Here is a link to the documentation Xandrex is referring to.

 

http://na.blackberry.com/eng/support/docs/subcategories/?userType=21&category=BlackBerry+Browser

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Highlighted
New Developer
Posts: 3
Registered: ‎02-04-2009
My Device: Not Specified

Re: OS Version / Javascript Questions

Thanks everyone.  Much appreciated